Package io.flutter.plugin.editing

# Class TextEditingDelta

java.lang.Object
io.flutter.plugin.editing.TextEditingDelta

public final class TextEditingDelta extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextEditingDelta(CharSequence oldText, int selectionStart, int selectionEnd, int composingStart, int composingEnd)`
  `TextEditingDelta(CharSequence oldEditable, int replacementDestinationStart, int replacementDestinationEnd, CharSequence replacementSource, int selectionStart, int selectionEnd, int composingStart, int composingEnd)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDeltaEnd()`
  `int`
  `getDeltaStart()`
  `CharSequence`
  `getDeltaText()`
  `int`
  `getNewComposingEnd()`
  `int`
  `getNewComposingStart()`
  `int`
  `getNewSelectionEnd()`
  `int`
  `getNewSelectionStart()`
  `CharSequence`
  `getOldText()`
  `JSONObject`
  `toJSON()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextEditingDelta

    public TextEditingDelta(@NonNull CharSequence oldEditable, int replacementDestinationStart, int replacementDestinationEnd, @NonNull CharSequence replacementSource, int selectionStart, int selectionEnd, int composingStart, int composingEnd)

  - ### TextEditingDelta

    public TextEditingDelta(@NonNull CharSequence oldText, int selectionStart, int selectionEnd, int composingStart, int composingEnd)

- ## Method Details

  - ### getOldText

    @NonNull public CharSequence getOldText()

  - ### getDeltaText

    @NonNull public CharSequence getDeltaText()

  - ### getDeltaStart

    public int getDeltaStart()

  - ### getDeltaEnd

    public int getDeltaEnd()

  - ### getNewSelectionStart

    public int getNewSelectionStart()

  - ### getNewSelectionEnd

    public int getNewSelectionEnd()

  - ### getNewComposingStart

    public int getNewComposingStart()

  - ### getNewComposingEnd

    public int getNewComposingEnd()

  - ### toJSON

    @NonNull public JSONObject toJSON()